﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace UGDemo
{
	/// <summary>
	/// Interaction logic for Window_V2.xaml
	/// </summary>
	public partial class Window_V2 : Window
	{
		private StringCollection _dataSource;
		private Random _random = new Random();

		public Window_V2()
		{
			InitializeComponent();
			Loaded += new RoutedEventHandler(Window_V2_Loaded);
		}

		void Window_V2_Loaded(object sender, RoutedEventArgs e)
		{
			_dataSource = FindResource("DataSource") as StringCollection;
		}

		private void AddItem(object sender, RoutedEventArgs e)
		{
			string img = "Images/" + _random.Next(1, 11) + ".png";
			_dataSource.Add(img);
		}

		private void RemoveItem(object sender, RoutedEventArgs e)
		{
			if (_dataSource.Count <= 0) return; 
			int index = _random.Next(_dataSource.Count);
			_dataSource.RemoveAt(index);
		}
	}
}
